import java.util.*;

// Etl transforms a scrabble score set from the old data structure
// To the new.
public class Etl {
   public Map<String, Integer> transform(Map<Integer, List<String>> old) {
      Map<String, Integer> ret = new HashMap<String, Integer>();
      for (Map.Entry<Integer, List<String>> entry : old.entrySet()) {
        for (int i = 0; i < entry.getValue().size(); i++) {
          ret.put(entry.getValue().get(i).toLowerCase(), entry.getKey());
        }
      }
      return ret;
   }
}
